# -*- coding: utf-8 -*-
from dspawpy.analysis.aimdtools import get_lagtime_rmsd, plot_rmsd

# 如果AIMD非一次性完成，可以将多个h5文件路径以列表形式赋值给datafile参数
lagtime, rmsd = get_lagtime_rmsd(
    datafile="dspawpy_proj/dspawpy_tests/inputs/2.18/aimd.h5",
    timestep=None,  # 数据文件路径  # 默认从datafile文件中读取时间步长
)
plot_rmsd(
    lagtime,  # 横坐标
    rmsd,  # 纵坐标
    xlim=None,  # 设置x轴的显示范围
    ylim=None,  # 设置y轴的显示范围
    figname="dspawpy_proj/dspawpy_tests/outputs/us/10RMSD.png",  # 输出的图像文件名
    show=False,  # 是否弹出图像窗口
    ax=None,  # 可指定子图
)
